/*
 * Proyecto: sumatra
 * Fichero: Form1.prg
 * Descripcin:
 * Autor:
 * Fecha: 18/02/2020
 */

#include "Xailer.ch"

CLASS TForm1 FROM TForm

  COMPONENT oToolBar1
   COMPONENT oFileOpenDlg1
  COMPONENT oSumatraViewer1
  COMPONENT oSumatraPrinter1

  METHOD CreateForm()
  METHOD ToolBar1Item1Click( oSender )
  METHOD ToolBar1Item2Click( oSender )
  METHOD ToolBar1Item3Click( oSender )
   METHOD FormCreate( oSender )

ENDCLASS

#include "Form1.xfm"

//------------------------------------------------------------------------------

METHOD ToolBar1Item1Click( oSender ) CLASS TForm1

  WITH OBJECT ::oFileOpenDlg1
    IF :Run()
      ::oSumatraViewer1:cFilename := :cFullFileName
    ENDIF
  END WITH

RETURN NIL

//------------------------------------------------------------------------------

METHOD ToolBar1Item2Click( oSender ) CLASS TForm1

  WITH OBJECT ::oFileOpenDlg1
    IF :Run()
      ::oSumatraPrinter1:cFilename := :cFullFileName
      IF !::oSumatraPrinter1:Print()
        MsgInfo( ::oSumatraPrinter1:clastError )
      ENDIF
    ENDIF
  END WITH

RETURN NIL

//------------------------------------------------------------------------------

METHOD ToolBar1Item3Click( oSender ) CLASS TForm1

  LOCAL cFile, cOut

  WITH OBJECT ::oFileOpenDlg1
    IF :Run()
      cFile := :cFullFileName
      cOut  := GetFolderDesktop() + "\test.pdf"
    ELSE
      RETURN nil
    ENDIF
  END WITH

  WITH OBJECT TPdfSignTool():Create()
    :cCertFile := "..."
    :cPassword := "..."
    :cInputFile := cFile
    :cOutputFile := cOut
    :cTimeStampURL := "https://freetsa.org/tsr"
    :cLocation := "Madrid, Spain"
    :cReason   := "..."
    :nSignVertOffset := 750
    IF :Run()
      MsgInfo( "Fichero generado correctamente" )
    ELSE
      MsgAlert( :cError, "Error de generacin del fichero PDF" )
    ENDIF
    :End()
  END WITH

RETURN NIL

//------------------------------------------------------------------------------

METHOD FormCreate( oSender ) CLASS TForm1
   ::Maximize()
RETURN Nil

//------------------------------------------------------------------------------
